Bug 1001754 - sxconsole improperly reports heartbeat interface
sxconsole improperly reports heartbeat interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierguido Lambri
Fedora Extras Quality Assurance
:
Depends On: 1068700
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 12:36 EDT by Trapier Marshall
Modified: 2014-03-11 19:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: sx-2.16-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 01:42:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trapier Marshall 2013-08-27 12:36:54 EDT
Description of problem:

From cluster-summary.txt. This should be eth9 rather than eth11:

HB Address:   192.168.100.11
HB Interface: eth11

$ grep Node.address sos_commands/cluster/cman_tool_status 
Node addresses: 192.168.100.11 

I suspect sxconsole is looking at the ifcfg files:

$ grep -eONBOOT -e IPADDR etc/sysconfig/network-scripts/ifcfg-eth{9,11}
etc/sysconfig/network-scripts/ifcfg-eth9:ONBOOT=yes
etc/sysconfig/network-scripts/ifcfg-eth9:IPADDR=192.168.100.11
etc/sysconfig/network-scripts/ifcfg-eth11:ONBOOT=no
etc/sysconfig/network-scripts/ifcfg-eth11:IPADDR=192.168.100.11

...rather than what is active:

$ grep -B1 192.168.100.11 ifconfig
eth9      Link encap:Ethernet  HWaddr 9C:8E:99:0F:F7:C4  
          inet addr:192.168.100.11  Bcast:192.168.100.255  Mask:255.255.255.0

Version-Release number of selected component (if applicable):
sx-2.15-1.fc19.noarch

How reproducible:
100%

Steps to Reproduce:
1. run sxconsole against a sosreport with multiple interfaces assigned through ifcfg files to the the heartbeat address, with all but one configured to ONBOOT=no

Actual results:
sxconsole reports the alphabetically last interface with the matching IPADDR entry as the heartbeat interface, even if that one is ONBOOT=no

Expected results:
sxconsole reports the heartbeat interface correctly

Additional info:
Comment 3 Fedora Update System 2014-02-22 09:18:19 EST
sx-2.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sx-2.16-1.fc19
Comment 4 Fedora Update System 2014-02-22 09:18:32 EST
sx-2.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sx-2.16-1.el6
Comment 5 Fedora Update System 2014-02-22 09:18:43 EST
sx-2.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sx-2.16-1.fc20
Comment 6 Fedora Update System 2014-02-23 03:36:25 EST
Package sx-2.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sx-2.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2969/sx-2.16-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-03-04 01:42:23 EST
sx-2.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-03-04 01:47:39 EST
sx-2.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-03-11 19:59:00 EDT
sx-2.16-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.